Holger's Java API

## com.antelmann.db
Class LockInfo

    java.lang.Object
      com.antelmann.db.LockInfo

All Implemented Interfaces:
  Timed, DetailedString, Serializable

    public class LockInfo

extends Object
implements Serializable, Timed, DetailedString

Since:
  27.04.2011, 22:54:17
Author:
  holger
See Also:
  Serialized Form

Field Summary
`DBReference` `reference`
`long` `when`
`String` `where`
`String` `who`
`String` `why`

Fields inherited from interface com.antelmann.calendar.Timed
`COMPARATOR, DATE_EXTRACTOR`

Constructor Summary
`LockInfo()`

Method Summary
`long` `getTime()`
`String` `toDetailedString()` provides full details of this instance in a String.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### reference

    public DBReference reference

### who

    public String who

### where

    public String where

### when

    public long when

### why

    public String why

Constructor Detail

### LockInfo

    public LockInfo()

Method Detail

### getTime

    public long getTime()

  Specified by:
    `getTime` in interface `Timed`

### toDetailedString

    public String toDetailedString()

  Description copied from interface: `DetailedString`
  provides full details of this instance in a String. In case the String contains multiple lines, it is recommended to use '\n' rather than the platform specific line-break for better compatibility.

  Specified by:
    `toDetailedString` in interface `DetailedString`
  Returns:
    a (potentially multi-line) String providing full details on this object instance

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads